帮酷LOGO
0 0 评论
  • 显示原文与译文双语对照的内容


問題:
$ sudo apt-get install oracle-java8-installer
Reading package lists... Done
Building dependency tree 
Reading state information... Done
Package oracle-java8-installer is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package 'oracle-java8-installer' has no installation candidate

回答 1:

我仍然使用 命令行 版本 8並按照的這些步驟來安裝操作系統

添加已停產的存儲庫,它將自動安裝新版本的存儲庫,但不會阻止你安裝以前版本的庫。

sudo add-apt-repository ppa:webupd8team/java && sudo apt-get update

安裝java版本 8默認,jre或 jdk

sudo apt-get install oracle-java8-set-default
# or
sudo apt install openjdk-8-jdk
# or
sudo apt install openjdk-8-jre

驗證你的java版本

java -version

設置你的環境變數

export JAVA_HOME=/usr/lib/jvm/java-8-oracle
export JRE_HOME=/usr/lib/jvm/java-8-oracle/jre

Oracle最近更改了它的jdk/jre的許可,要求每個人都有一個訂閱,以獲取比8 u201版本更新的版本。

Oracle最近更改了它的jdk/jre的許可,要求每個人都有一個訂閱,以獲取比 8個u201版本更。 大多數軟體應該使用openjdk-8-*運行良好- 這可能是一個值得一試的嘗試。

大多數軟體應該使用openjdk-8-*運行良好- 這可能是一個值得一試的測試。





Copyright © 2011 HelpLib All rights reserved.    知识分享协议 京ICP备05059198号-3  |  如果智培  |  酷兔英语